Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexPositionTransformManipulator Class Reference

Vertex manipulator which transforms the position of the vertex. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexPositionTransformManipulator:

List of all members.

## Public Member Functions
template<typename VType >
void | operator() (VType &vertex) const
| SVertexPositionTransformManipulator (const core::matrix4 &m)

## Detailed Description

Vertex manipulator which transforms the position of the vertex.

Definition at line 252 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexPositionTransformManipulator::SVertexPositionTransformManipulator | ( | const core::matrix4 & | m | ) | `[inline]`

Definition at line 255 of file SVertexManipulator.h.

## Member Function Documentation

template<typename VType >

void irr::scene::SVertexPositionTransformManipulator::operator() | ( | VType & | vertex | ) | const`[inline]`

Definition at line 257 of file SVertexManipulator.h.

References irr::core::CMatrix4< T >::transformVect().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)